/*
 * XMOSlisp is a tiny lisp interpreter for XMOS devices.
 * Copyright (C) 2010       Ruben Vandamme
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#include <platform.h>

timer t;

/* port functions */

void pout(port p, unsigned v)
{
	p <: v;
}

unsigned pin(port p)
{
	int v;
	p :> v;
	return v;
}

unsigned peq(port p, unsigned v)
{
	int w;
	p when pinseq (v) :> w ;
	return w;
}

unsigned pne(port p, unsigned v)
{
	int w;
	p when pinsneq (v) :> w ;
	return w;
}

/* timer functions */

int getTime()
{
	int v;
	t :> v;
	return v;
}

int timeAfter(int time)
{
	int v;
	t when timerafter ( time ) :> v ;
	return v;
}
